Debian Bug report logs - #698639
ITP: noblenote -- nobleNote is a note taking program based on Qt

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Christian Metscher <hakaishi@web.de>

Date: Mon, 21 Jan 2013 17:15:02 UTC

Owned by: Christian Metscher <hakaishi@web.de>

Severity: wishlist

Fixed in version noblenote/1.0.8-1

Done: Christian Metscher <hakaishi@web.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, hakaishi@web.de, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#698639; Package wnpp. (Mon, 21 Jan 2013 17:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Metscher <hakaishi@web.de>:
New Bug report received and forwarded. Copy sent to hakaishi@web.de, debian-devel@lists.debian.org, wnpp@debian.org. (Mon, 21 Jan 2013 17:15:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christian Metscher <hakaishi@web.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: noblenote -- nobleNote is a note taking program based on Qt
Date: Mon, 21 Jan 2013 18:01:26 +0100
Package: wnpp
Severity: wishlist
Owner: Christian Metscher <hakaishi@web.de>

* Package name    : noblenote
  Version         : 1.0.7
  Upstream Author : Christian Metscher <hakaishi@web.de>, Fabian Deuchler <taiko000@gmail.com>
* URL             : https://launchpad.net/~hakaishi/+archive/noblenote
* License         : MIT
  Programming Lang: C++ (Qt)
  Description     : nobleNote is a note taking program based on Qt

NobleNote is a program using the Qt libraries. It saves notes in the html format and is able to import xml based notes like those from Tomboy.



Added blocking bug(s) of 698639: 698557 Request was from Bart Martens <bartm@quantz.debian.org> to control@bugs.debian.org. (Tue, 22 Jan 2013 04:24:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Christian Metscher <hakaishi@web.de>:
Bug#698639; Package wnpp. (Sun, 21 Apr 2013 18:57:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eriberto <eriberto@eriberto.pro.br>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Christian Metscher <hakaishi@web.de>. (Sun, 21 Apr 2013 18:57:09 GMT) Full text and rfc822 format available.

Message #12 received at 698639@bugs.debian.org (full text, mbox):

From: Eriberto <eriberto@eriberto.pro.br>
To: 698639@bugs.debian.org, hakaishi@web.de
Subject: Re: ITP: noblenote -- nobleNote is a note taking program based on Qt
Date: Sun, 21 Apr 2013 15:52:27 -0300
[Message part 1 (text/plain, inline)]
Hi Christian,

I can't upload your package but I can help you to fix it.

First, if you are making an ITP, the package is new in Debian. Thus
you should put in debian/changelog "Initial release", not "New
upstream release", because it is the changelog of the package (is the
first release of the package).

To be popular, I suggest to put the word "post-it" in your long
description (debian/control). It will be important on apt-cache search
command.

The README must be removed from debian/docs, because an user won't
compile any .deb content. Thus the README is specific to sources only.

There are lintian warnings:

I: missing-debian-source-format

To see it you must use:

alias debuild='debuild --lintian-opts -I --pedantic'

So you should create debian/source/format file. Content: 3.0 (quilt)

I saw the warning in mentors.debian.net because your package doesn't
built on my system (amd64). Errors:

   dh_auto_configure
/pkg-noblenote/noblenote-1.0.8/nobleNote.pro(25): Function 'system' is
not implementedProject MESSAGE: Warning: unknown QT: widgetsProject
MESSAGE: Warning: unknown QT: concurrentUpdating
'/pkg-noblenote/noblenote-1.0.8/src/translations/noblenote_de.qm'...
    Generated 121 translation(s) (121 finished and 0 unfinished)
    Ignored 7 untranslated source text(s)

[...]

src/xmlnotewriter.cpp: In constructor
‘XmlNoteWriter::XmlNoteWriter(const QString&)’:
src/xmlnotewriter.cpp:42:138: error: format not a string literal and
no format arguments [-Werror=format-security]
cc1plus: some warnings being treated as errors
make[1]: ** [build/xmlnotewriter.o] Erro 1

Please, see the attachment to get more informations.

I hope this help and congratulations for your nice work. I will use it!!!

Best regards,

Eriberto - Brazil
[noblenote_1.0.8-1_amd64.build (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#698639; Package wnpp. (Sun, 21 Apr 2013 20:45:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Metscher <hakaishi@web.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 21 Apr 2013 20:45:11 GMT) Full text and rfc822 format available.

Message #17 received at 698639@bugs.debian.org (full text, mbox):

From: Christian Metscher <hakaishi@web.de>
To: Eriberto <eriberto@eriberto.pro.br>, 698639@bugs.debian.org
Subject: Re: Bug#698639: ITP: noblenote -- nobleNote is a note taking program based on Qt
Date: Sun, 21 Apr 2013 22:41:27 +0200
Hi Eriberto,

thank you for looking into nobleNote. I originally intended to write 
"Initial release", but somehow forgot about it... I'll fix this and the 
other issues right now.
Could you tell me more about this "post-it"? I don't understand where 
this comes from and where I would have to put it in the control file...


Best regards,
 Christian



Am 21.04.2013 20:52, schrieb Eriberto:
> Hi Christian,
>
> I can't upload your package but I can help you to fix it.
>
> First, if you are making an ITP, the package is new in Debian. Thus
> you should put in debian/changelog "Initial release", not "New
> upstream release", because it is the changelog of the package (is the
> first release of the package).
>
> To be popular, I suggest to put the word "post-it" in your long
> description (debian/control). It will be important on apt-cache search
> command.
>
> The README must be removed from debian/docs, because an user won't
> compile any .deb content. Thus the README is specific to sources only.
>
> There are lintian warnings:
>
> I: missing-debian-source-format
>
> To see it you must use:
>
> alias debuild='debuild --lintian-opts -I --pedantic'
>
> So you should create debian/source/format file. Content: 3.0 (quilt)
>
> I saw the warning in mentors.debian.net because your package doesn't
> built on my system (amd64). Errors:
>
>     dh_auto_configure
> /pkg-noblenote/noblenote-1.0.8/nobleNote.pro(25): Function 'system' is
> not implementedProject MESSAGE: Warning: unknown QT: widgetsProject
> MESSAGE: Warning: unknown QT: concurrentUpdating
> '/pkg-noblenote/noblenote-1.0.8/src/translations/noblenote_de.qm'...
>      Generated 121 translation(s) (121 finished and 0 unfinished)
>      Ignored 7 untranslated source text(s)
>
> [...]
>
> src/xmlnotewriter.cpp: In constructor
> ‘XmlNoteWriter::XmlNoteWriter(const QString&)’:
> src/xmlnotewriter.cpp:42:138: error: format not a string literal and
> no format arguments [-Werror=format-security]
> cc1plus: some warnings being treated as errors
> make[1]: ** [build/xmlnotewriter.o] Erro 1
>
> Please, see the attachment to get more informations.
>
> I hope this help and congratulations for your nice work. I will use it!!!
>
> Best regards,
>
> Eriberto - Brazil



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Christian Metscher <hakaishi@web.de>:
Bug#698639; Package wnpp. (Sun, 21 Apr 2013 21:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eriberto <eriberto@eriberto.pro.br>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Christian Metscher <hakaishi@web.de>. (Sun, 21 Apr 2013 21:24:04 GMT) Full text and rfc822 format available.

Message #22 received at 698639@bugs.debian.org (full text, mbox):

From: Eriberto <eriberto@eriberto.pro.br>
To: Christian Metscher <hakaishi@web.de>
Cc: 698639@bugs.debian.org
Subject: Re: Bug#698639: ITP: noblenote -- nobleNote is a note taking program based on Qt
Date: Sun, 21 Apr 2013 18:21:15 -0300
Post-it: https://www.google.com/search?q=post-it&tbm=isch

I think your program makes it or similar... No? If no, sorry.

Regards,

Eriberto


2013/4/21 Christian Metscher <hakaishi@web.de>:
> Could you tell me more about this "post-it"? I don't understand where this
> comes from and where I would have to put it in the control file...



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Tue, 19 Nov 2013 07:06:04 GMT) Full text and rfc822 format available.

Reply sent to Christian Metscher <hakaishi@web.de>:
You have taken responsibility. (Thu, 16 Jan 2014 16:03:13 GMT) Full text and rfc822 format available.

Notification sent to Christian Metscher <hakaishi@web.de>:
Bug acknowledged by developer. (Thu, 16 Jan 2014 16:03:13 GMT) Full text and rfc822 format available.

Message #29 received at 698639-close@bugs.debian.org (full text, mbox):

From: Christian Metscher <hakaishi@web.de>
To: 698639-close@bugs.debian.org
Subject: Bug#698639: fixed in noblenote 1.0.8-1
Date: Thu, 16 Jan 2014 16:00:07 +0000
Source: noblenote
Source-Version: 1.0.8-1

We believe that the bug you reported is fixed in the latest version of
noblenote, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 698639@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Christian Metscher <hakaishi@web.de> (supplier of updated noblenote package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 15 Apr 2013 06:51:24 +0200
Source: noblenote
Binary: noblenote
Architecture: source amd64
Version: 1.0.8-1
Distribution: unstable
Urgency: low
Maintainer: nobleNote Developers <noblenote.developers@gmail.com>
Changed-By: Christian Metscher <hakaishi@web.de>
Description: 
 noblenote  - Qt program for taking notes
Closes: 698639
Changes: 
 noblenote (1.0.8-1) unstable; urgency=low
 .
   * Initial release (Closes: #698639)
Checksums-Sha1: 
 b02775cac8a0b995210b075261c07cae5e27f010 1937 noblenote_1.0.8-1.dsc
 ca3f45a6a28222e914bed6bdde1d0368e6e668d8 276143 noblenote_1.0.8.orig.tar.gz
 bd8d3bd94f7d6921f2410cbc63d1fc46d6e16ab2 9759 noblenote_1.0.8-1.debian.tar.gz
 eb94ee5a8aa3ee2774f3d7c55d0ceb62f6cdc4e5 327462 noblenote_1.0.8-1_amd64.deb
Checksums-Sha256: 
 fe6aa517f00723f9123bff2e7cb8a1b283ff6c1ec62da7e689e3a7226ad81e7b 1937 noblenote_1.0.8-1.dsc
 e817a78bd2c50a48ec08c5434ff182c54466e808921dd853f91706f53b2189a0 276143 noblenote_1.0.8.orig.tar.gz
 a9506178ba12b4578203ecebb7acabec6fb309abd941f73fcdc12b2ce2a8cafa 9759 noblenote_1.0.8-1.debian.tar.gz
 3a67accc891d4034cc3ace267e9043868017852518ae37dfdad55ad38469edd8 327462 noblenote_1.0.8-1_amd64.deb
Files: 
 3d887ef8c307bb7a91373aefa68764d8 1937 editors optional noblenote_1.0.8-1.dsc
 ce9c5b52294be571bfb7eb7ce06a598c 276143 editors optional noblenote_1.0.8.orig.tar.gz
 84f4eb88f737875cc0f9c49519dea65c 9759 editors optional noblenote_1.0.8-1.debian.tar.gz
 073bc0c7ed60f41b5c09b55aa70b11d0 327462 editors optional noblenote_1.0.8-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.15 (GNU/Linux)

iQIcBAEBCAAGBQJSzxjDAAoJEDtW4rvVP9yx0KQP/3OuLy2Y+Xn3jctHLgoZF8Sb
aFp8Ey21kXoLBMWYRuJegI/sQGJt1Q5yt510bfHEkeM7V/5Ogwo3u9rhcnHZc75J
+GFGaVJpqbXoHdD2cq7Dav9ueGOOL52VShURAIeK6AnWBgmbh5OLyzEMtbxFk8it
weKSO5N9F9GkBPaoe1EctkQ2nCkcDYpKyM7sbNJGU8YibdpHlT5ORr8bXhpl2twf
CWHGSrUnR/RhHsfL4iLp1RdwaAHNueeVPSnk4xd43HOJzQeZmTQ6D2rcIkH6D5ji
jaLeVx6FCbQXjzVfs2Dw9qHzjLNq16kf7fuSZXfk7/tnI+Kd6t34+7vwVERydjaq
zbb60T3qfUaQjWGWrJfuBz+6PLfAaAUQzVrv8LgzRs34KmpFH34KmijbkwavqC8F
ivB4Z+q2RWFr0Rix8qaq3EiDDZ6QBrTxbbPulzR+kaYaxL6uPNww5hdsZfXWB9fE
CuLY4nSdkoADLLqFy29UUlwTABvlhcROdUgOhG4GiB+aOA9JkZrzzxAguWiwWI6x
S8m8sSd71U1xhcf8S/JIks2/RZtu9d7NPABeHi/BZoqwuKHVeA0IZpDaQ7C02dM+
BkB9p8VNE+MGSE1Z7gH/hlyspja6Mam/JOSZu8lE8vlaNmMmf0wkJ5CncLWFZlFu
9kOUdCBAkTWfolFG7wLk
=af9m
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 14 Feb 2014 07:28:40 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 19:20:19 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.